# Uses of Enum Class
org.eclipse.osgi.container.Module.StopOptions

Packages that use Module.StopOptions
Package
Description
org.eclipse.osgi.container

## Uses of Module.StopOptions in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return Module.StopOptions
Modifier and Type
Method
Description
`static Module.StopOptions`
Module.StopOptions.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.StopOptions[]`
Module.StopOptions.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.osgi.container with parameters of type Module.StopOptions
Modifier and Type
Method
Description
`boolean`
Module.StopOptions.`isContained(Module.StopOptions... options)`
Tests if this option is contained in the specified options
`void`
Module.`stop(Module.StopOptions... options)`
Stops this module.
`void`
SystemModule.`stop(Module.StopOptions... options)`